<?php get_header(); ?>
<div id="content-holder" class="column3">
<?php


  $sideBarRight = 'Category - Rechts';
  $sideBarLeft  = 'Category - Links';

  $hasHouses  = false;
  $hasBog     = false;
  $hasNBpr    = false;
  $pageTitle  = '';

  // Loop through posts and check if any of them is of type huis/bedrijf so a different sidebar can be loaded
  if (have_posts())
  {
	  while (have_posts())
    {
      the_post();

      switch (get_post_type())
      {
        case YOG_POST_TYPE_WONEN:
          $hasHouses  = true;
          break;
        case YOG_POST_TYPE_BOG:
          $hasBog     = true;
          break;
        case YOG_POST_TYPE_NBPR:
          $hasNBpr   = true;
          break;
      }

      // Determine page title
      if (empty($pageTitle))
      {
        if (is_category())
		      $pageTitle = single_cat_title('', false);
        elseif( is_tag())
		      $pageTitle = 'Posts getagged met &#8216; ' . single_tag_title('', false) . ' &#8217;';
		    elseif (is_day())
		      $pageTitle = 'Archief van ' . get_the_date('F jS, Y');
		    elseif (is_month())
		      $pageTitle = 'Archief van ' . get_the_date('F Y');
		    elseif (is_year())
		      $pageTitle = 'Archief van ' . get_the_date('Y');
		    elseif (is_author())
		      $pageTitle = 'Archief van ' . get_the_author();
		    elseif (isset($_GET['paged']) && !empty($_GET['paged']))
		      $pageTitle = 'Website archief';

      }
    }

    // Reset the pointer of the while loop so we can use it again
    rewind_posts();
  }

  if ($hasHouses && !$hasBog && !$hasNBpr)
  {
    $sideBarRight = 'Category - Objecten - Rechts';
    $sideBarLeft = 'Category - Objecten - Links';
  }
  else if (!$hasHouses && $hasBog && !$hasNBpr)
  {
    $sideBarRight = 'Category - BOG Objecten - Rechts';
    $sideBarLeft = 'Category - BOG Objecten - Links';
  }
  else if (!$hasHouses && !$hasBog && $hasNBpr)
  {
    $sideBarRight = 'Category - Nieuwbouw Objecten - Rechts';
    $sideBarLeft  = 'Category - Nieuwbouw Objecten - Links';
  }

?>
  <div id="sidebar-right" class="sidebar">

    <?php
      // Widgets
      if (function_exists('dynamic_sidebar'))
      {
        dynamic_sidebar($sideBarRight);
      }
    ?>

  </div>
  <div id="sidebar-left" class="sidebar">

    <?php if (!is_home()) { ?>
      <div id="sidebar-logo">
        <a href="<?php echo get_home_url(); ?>"><img src="<?php echo yog_getLogoUrl();?>" alt="<?php bloginfo('name');?>" /></a>
      </div>
    <?php } ?>

    <?php
      // Widgets
      if (function_exists('dynamic_sidebar'))
      {
        dynamic_sidebar($sideBarLeft);
      }
    ?>

  </div>
  <div id="content">
    <h1><?php echo $pageTitle;?></h1>
    <?php get_template_part( 'loop');?>
  </div>
</div>
<?php get_footer(); ?>