<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
  <head>
    <meta charset="<?php bloginfo('charset'); ?>" />
    <title><?php bloginfo('name'); ?> <?php wp_title(); ?></title>
    <link rel="stylesheet" href="<?php echo get_stylesheet_uri(); ?>?v=<?php echo YOG_THEME_VERSION;?>" type="text/css" media="all" />
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/inc/css/colors.css?v=<?php echo YOG_THEME_VERSION;?>" type="text/css" media="all" />
    <link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/inc/css/print.css?v=<?php echo YOG_THEME_VERSION;?>" type="text/css" media="print" />
    <link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    <meta name="description" content="<?php bloginfo('description'); ?>" />
    <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
    <!--[if lt IE 8]>
      <script src="http://ie7-js.googlecode.com/svn/version/2.1(beta4)/IE8.js" type="text/javascript"></script>
    <![endif]-->
    <!--[if lt IE 9]>
      <script src="<?php echo get_template_directory_uri(); ?>/inc/js/curvycorners.js" type="text/javascript"></script>
    <![endif]-->
    <?php wp_head(); ?>
    
    <?php
    $color = yogNavMenu::getCurrentColor();
    if (!empty($color))
    {
      ?>
      <style type="text/css">
      h2 {color:<?php echo $color;?>;}
      #mainmenu ul.menu li.current-menu-parent a, #mainmenu ul.menu li.current-menu-item a { background-color:<?php echo $color;?>;}
      #mainmenu ul.sub-menu, #submenu {background-color:<?php echo $color;?>;}
      .sidebar .widget .button {background-color:<?php echo $color;?>;}
      .wp-paginate .current {background-color:<?php echo $color;?>;}
      .sidebar .widget.widget_yogrecentobjectswidget,.sidebar .widget.widget_pf-twitter,.sidebar .widget.widget_recent_comments,.sidebar .widget.widget_recent_entries,.sidebar .widget.colored {border-color:<?php echo $color;?>;}
      .sidebar .widget.widget_yogrecentobjectswidget h4.widgettitle,.sidebar .widget.widget_pf-twitter h4.widgettitle,.sidebar .widget.widget_recent_comments h4.widgettitle,.sidebar .widget.widget_recent_entries h4.widgettitle,.sidebar .widget.colored h4.widgettitle {background-color:<?php echo $color;?>;}
      .icon-up span {background-color:<?php echo $color;?>;}
      </style>
      <?php
    }
    ?>
  </head>

  <body id="top" <?php body_class(); ?>>
    <div id="pageholder">
      <div id="topmenu">
        <?php @wp_nav_menu(array('theme_location' => 'topMenu', 'depth' => 2, 'fallback_cb' => false));?>
      </div>
      <div id="mainmenu">
        <?php @wp_nav_menu(array('theme_location' => 'mainMenu', 'depth' => 2, 'fallback_cb' => false));?>
        <div id="submenu"></div>
      </div>
      <?php if (is_front_page()) { ?>
      <div id="header" style="background-image: url('<?php echo yog_getHeaderImgUrl();?>');?>">
        <div id="header-logo">
          <a href="<?php echo get_home_url(); ?>"><img src="<?php echo yog_getLogoUrl();?>" alt="<?php bloginfo('name');?>" /></a>
        </div>
        <div id="header-text">
          <div id="header-inner-text">
            <?php

              // Widgets
              if (function_exists('dynamic_sidebar'))
              {
                dynamic_sidebar('Homepage - Boven');
              }

            ?>
          </div>
        </div>
      </div>
      <?php } ?>