<?php
// Loop through posts
if (have_posts())
{
	while (have_posts())
  {
    the_post();

    $postType = get_post_type();
    $title    = get_the_title();
    $id       = get_the_ID();
    $editUrl  = get_edit_post_link();

    switch ($postType)
    {
      // Woon / BOG / NBpr / NBty objects
      case YOG_POST_TYPE_WONEN:
      case YOG_POST_TYPE_BOG:
      case YOG_POST_TYPE_NBPR:
      case YOG_POST_TYPE_NBTY:
      case YOG_POST_TYPE_BBPR:
      case YOG_POST_TYPE_BBTY:

        // Use object-all.php template
        get_template_part('object', 'all');

        break;

      // Pages
      case 'page':

        if (is_front_page() && yog_use_grey_box($id))
        {
          $content = get_the_content();
          $content = apply_filters('the_content', $content);
          $content = str_replace('<span id="more', '</div><div><span id="more', $content);

          $html = '<div class="grey-box">';
          $html .= '<h1>' . $title . '</h1>';
          $html .= $content;
          $html .= '</div>';
        }
        else
        {
          $html  = '<h2><a href="' . get_permalink() . '" rel="bookmark" title="' . $title . '">' . $title . '</a></h2>
		             <p>' . get_the_content('...') . '</p>';
        }

        echo '<div class="post post-' . $postType . ' ' . implode(' ', get_post_class()) . '" id="post-' . $id . '">';
        echo $html;
        echo '</div>';

        break;

      // Normal posts
      default:

        $footerLinks = array('<a class="more" href="' . get_permalink() . '" class="serif">Meer</a>');
        if (!empty($editUrl))
          $footerLinks[] = '<a class="edit" href="' . $editUrl . '" class="serif">Bewerken</a>';

        $html = '<h1><div class="post-date">' . get_the_date('d-m-Y') . '</div><a href="' . get_permalink() . '" rel="bookmark" title="' . get_the_title() . '">' . get_the_title() . '</a></h1>';
		    $html .= '<div class="post-entry">';

        if (has_post_thumbnail())
          $html .= '<div class="float-right">' . get_the_post_thumbnail() . '</div>';

        $html .= '<p>' . nl2br(get_the_content('Meer &raquo;')) . '</p>';
        $html .= wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number', 'echo' => false));
        $html .= '</div>';

        $html .= '<div class="post-footer">';
          $html .= implode('', $footerLinks);
        $html .= '</div>';

        echo '<div class="post post-' . $postType . ' ' . implode(' ', get_post_class()) . '" id="post-' . $id . '">';
        echo $html;
        echo '</div>';

        break;
    }
  }

  if( function_exists('wp_paginate'))
  {
    wp_paginate();
  }
  else
  {
    ?>
    <div class="paging clearfix">
      <div id="navigation">
        <div class="float-right">&nbsp;<?php next_posts_link('volgende&nbsp;&raquo;') ?></div>
        <div class="navLeft"><?php previous_posts_link('&laquo; Vorige');?>&nbsp;</div>
      </div>
    </div>
    <?php
  }
}
else
{
  ?>
  <p>Er zijn geen resultaten gevonden.</p>
  <?php
}
?>