<?php
/**
 * An example template part for displaying a single object in an overview of objects
 */
$postType = get_post_type();
$title    = get_the_title();
$city     = yog_retrieveSpec('Plaats');
$id       = get_the_ID();
$editUrl  = get_edit_post_link();
$images   = yog_retrieveImages('thumbnail', 3);

switch ($postType)
{
  case YOG_POST_TYPE_WONEN:
    $specs    = yog_retrieveSpecs(array('Oppervlakte', 'Aantalkamers'));
    $prices   = yog_retrievePrices('small', 'small');
    $status   = yog_retrieveSpec('Status');

    if (empty($status) || $status == 'beschikbaar')
      $status = yog_getOpenHouse();

    break;
  case YOG_POST_TYPE_BOG:
    $specs    = yog_retrieveSpecs(array('Type', 'HorecaType'));
    $prices   = yog_retrievePrices('small', 'small');
    $status   = yog_retrieveSpec('Status');

    break;
  case YOG_POST_TYPE_NBPR:
  case YOG_POST_TYPE_NBTY:
  case YOG_POST_TYPE_BBPR:
  case YOG_POST_TYPE_BBTY:
    $specs          = array();
    $prices         = yog_retrievePrices('small', 'small');

    break;
}

// Determine state html
$stateHtml = '';
if (!empty($status) && $status != 'beschikbaar')
  $stateHtml = '<span class="post-object-state">' . $status . '</span>';

$imageHtml = '';

if (!empty($images))
{
  $imageHtml .= '<a href="' . get_permalink() . '" rel="bookmark" title="' . $title . '" class="main-image"><img src="' . $images[0][0] . '" width="' . $images[0][1] . '" height="' . $images[0][2] . '" alt="' . get_the_title() . '" />' . $stateHtml . '</a>';

  $imageHtml .= '<div class="extra-images">';

  if (!empty($images[1]))
    $imageHtml .= '<div class="extra-image"><a href="' . get_permalink() . '"><img alt="' . $title . '" src="' . $images[1][0] . '" width="50" /></a></div>';

  if (!empty($images[2]))
    $imageHtml .= '<div class="extra-image"><a href="' . get_permalink() . '"><img alt="' . $title . '" src="' . $images[2][0] . '" width="50" /></a></div>';

  $imageHtml .= '</div>';
}
else
{
  $imageHtml .= '<a href="' . get_permalink() . '" rel="bookmark" title="' . $title . '" class="no-image main-image">' . $stateHtml . '</a>';
}

if (!empty($specs))
{
  $specsHtml = array();

  foreach ($specs as $label => $value)
  {
    $specsHtml[] = '<span class="small grey">' . $label . ':</span> ' . $value;
  }
}
?>
<div class="post post-<?php echo $postType . ' ' . implode(' ', get_post_class());?>" id="post-<?php echo $id;?>">
  <div class="post_img clearfix"><?php echo $imageHtml;?></div>
  <div class="specs_object">
    <h2><a href="<?php echo get_permalink();?>" rel="bookmark" title="<?php echo $title;?>"><?php echo yog_retrieveSpec('Naam');?></a></h2>
    <?php
    if (!empty($city))
      echo '<h3 class="caps">' . $city. '</h3>';
    ?>
    <p>
      <?php
      if (!empty($specsHtml))
        echo implode(' | ', $specsHtml) . '<br />';
      if (!empty($prices))
        echo '<span class="item_price">' . implode('<br />', $prices) . '</span>';
      ?>
    </p>
  </div>
</div>