<?php
/**
 * Template voor detail pagina van een bog object
 *
 * @package WordPress
 * @subpackage realtor
 */
get_header();
?>
<div id="content-holder" class="column2">

  <div id="sidebar-left" class="sidebar">

    <div id="sidebar-logo">
      <a href="<?php echo get_home_url(); ?>"><img src="<?php echo yog_getLogoUrl();?>" alt="<?php bloginfo('name');?>" /></a>
    </div>

    <?php
      // Widgets
      if (function_exists('dynamic_sidebar'))
      {
        dynamic_sidebar('Aanbod detail pagina - Links');
      }
    ?>

  </div>

  <div id="content">
	  <?php

    // Retrieve active tab
    $activeTab = (!empty($_GET['tab']) ? $_GET['tab'] : '');

    // Retrieve post
    if (have_posts())
    {
	    while (have_posts())
      {
        the_post();

        $type           = yog_retrieveSpec('Type');
        $overviewSpecs  = yog_retrieveSpecs(array('Status', 'Type', 'HorecaType', 'BouwType'));
        $specs          = yog_retrieveSpecs(array('Status', 'Type', 'HorecaType', 'BouwType',
                                                  'Servicekosten', 'PerceelOppervlakte',
                                                  'Hoofdbestemming', 'Nevenbestemming', 'Aanvaarding',
                                                  'BouwgrondBebouwingsmogelijkheid', 'BouwgrondBouwhoogte',
                                                  'BouwgrondInUnitsVanaf', 'BouwgrondVloerOppervlakte', 'BouwgrondVloerOppervlakteProcentueel',
                                                  'WinkelruimteOppervlakte', 'WinkelruimteVerkoopVloerOppervlakte', 'WinkelruimteInUnitsVanaf',
                                                  'WinkelruimteFrontBreedte', 'WinkelruimteAantalVerdiepingen', 'WinkelruimteWelstandsklasse',
                                                  'WinkelruimteBrancheBeperking', 'WinkelruimteHorecaToegestaan', 'WinkelruimteBijdrageWinkeliersvereniging',
                                                  'WinkelruimtePersoneelTerOvername', 'HorecaOppervlakte', 'HorecaVerkoopVloerOppervlakte',
                                                  'HorecaWelstandsklasse', 'HorecaConcentratieGebied', 'HorecaRegio',
                                                  'HorecaPersoneelTerOvername', 'HorecaAantalVerdiepingen', 'Bouwjaar'));

        if ($type == 'Bedrijfsruimte')
        {
          $bedrijfshalSpecs   = yog_retrieveSpecs(array('BedrijfshalOppervlakte', 'BedrijfshalInUnitsVanaf', 'BedrijfshalVrijeHoogte',
                                                        'BedrijfshalVrijeOverspanning', 'BedrijfshalVloerbelasting', 'BedrijfshalVoorzieningen'));

          $kantoorruimteSpecs = yog_retrieveSpecs(array('KantoorruimteOppervlakte', 'KantoorruimteAantalVerdiepingen', 'KantoorruimteVoorzieningen',
                                                        'KantoorruimteInUnitsVanaf', 'KantoorruimteTurnKey'));

          $terreinSpecs       = yog_retrieveSpecs(array('TerreinOppervlakte', 'TerreinBouwvolumeBouwhoogte', 'TerreinBouwvolumeVloerOppervlakte'));
        }
        else if ($type == 'Kantoorruimte')
        {
          $specs = array_merge($specs, yog_retrieveSpecs(array('KantoorruimteOppervlakte', 'KantoorruimteAantalVerdiepingen', 'KantoorruimteVoorzieningen',
                                                               'KantoorruimteInUnitsVanaf', 'KantoorruimteTurnKey')));
        }

        $prices         = yog_retrievePrices('normal', 'small');
        $links          = yog_retrieveLinks();
        $movies         = yog_retrieveEmbedMovies();
        $description    = get_the_content();
        ?>
        <div class="fullpost">
          <div id="item_left">
            <div class="titelbar">
              <a href="javascript:history.go(-1);" class="more">&laquo; Terug</a>
            </div>
            <div id="item_header" class="clearfix">
              <?php

              $images = yog_retrieveImages('thumbnail', 1);

              // Defaults
              $mainImageWidth = 150;
              $mainImageHeight = 100;

              // TODO: Fix when a vertical photograph is uploaded
              if (!empty($images) && !empty($images[0]))
              {
                $mainImage          = $images[0];
                $extraHtml          = 'height="' . $mainImageHeight . '"';

                if ($mainImage[1] >= $mainImage[2])
                  $extraHtml = 'width="' . $mainImageWidth . '"';

                ?><div class="main-image-holder">
                  <img id="mainImage" <?php echo $extraHtml; ?> alt="" src="<?php echo $mainImage[0]; ?>" />
                </div><?php
              }

              ?>
              <div class="header-specs">
                <h2><?php echo yog_retrieveSpec('Naam'); ?></h2>
                <h3 class="caps"><?php echo yog_retrieveSpec('Plaats');?></h3>
                <div class="price">
                  <?php echo implode('<br />', $prices);?>
                </div>
              </div>
            </div>
            <div class="tabs-holder">
              <ul id="object-tabs">
                <li id="tab-overzicht"<?php echo (empty($activeTab) || $activeTab == 'overzicht' ? ' class="active"' : ''); ?>><a href="?tab=overzicht">Overzicht</a></li>
                <?php if (!empty($description)) { ?>
                <li id="tab-omschrijving"<?php echo ($activeTab == 'omschrijving' ? ' class="active"' : ''); ?>><a href="?tab=omschrijving">Omschrijving</a></li>
                <?php } ?>
                <li id="tab-kenmerken" <?php echo ($activeTab == 'kenmerken' ? ' class="active"' : ''); ?>><a href="?tab=kenmerken">Kenmerken</a></li>
                <?php if (!empty($images)) { ?>
                <li id="tab-fotos" <?php echo ($activeTab == 'fotos' ? ' class="active"' : ''); ?>><a href="?tab=fotos">Foto's</a></li>
                <?php } ?>
                <?php if (!empty($movies)) { ?>
                <li id="tab-videos" <?php echo ($activeTab == 'videos' ? ' class="active"' : ''); ?>><a href="?tab=videos">Videos</a></li>
                <?php } ?>
                <?php if (yog_hasLocation()) { ?>
                <li id="tab-locatie" <?php echo ($activeTab == 'locatie' ? ' class="active"' : ''); ?>><a href="?tab=locatie">Locatie</a></li>
                <?php } ?>
              </ul>
            </div>
            <div class="tabs-content-holder" id="tabs-content-holder">
              <div id="content-overzicht" class="tabbed-content specs_intro<?php echo (empty($activeTab) || $activeTab == 'overzicht' ? '' : ' hide'); ?>">
                <h3>Kenmerken</h3>
                <div class="specsdiv">
                  <?php echo generateObjectSpecs($overviewSpecs);?>
                  <div class="specs-footer">
                    <a class="more object-tab" href="?tab=kenmerken">Alle kenmerken</a>
                  </div>
                </div>
                <?php
                if (!empty($description))
                {
                  ?>
                  <h3>Omschrijving</h3>
                  <div class="description">
                    <?php the_excerpt(); ?>
                    <div class="description-footer">
                      <a class="more object-tab" href="?tab=omschrijving">Volledige omschrijving</a>
                    </div>
                  </div>
                  <?php
                }

                if (has_tag() && get_option('yog_tags_with_post'))
                  echo get_the_tag_list('<div class="tags">Tags: ',', ','</div>');
                ?>
              </div>
              <?php
              if (!empty($description))
              {
                ?>
                <div id="content-omschrijving" class="tabbed-content description_detail <?php echo ($activeTab == 'omschrijving' ? '' : ' hide'); ?>">
                <?php
                echo '<div class="description">';
                echo $description;
                echo '</div>';
                ?>
                </div>
                <?php
              }
              ?>
              <div id="content-kenmerken" class="tabbed-content specs_detail<?php echo ($activeTab == 'kenmerken' ? '' : ' hide'); ?>">
                <div class="specsdiv">
                  <?php echo generateObjectSpecs($specs);?>
                </div>
                <?php
                if (!empty($bedrijfshalSpecs))
                {
                  ?>
                  <h3>Bedrijfshal</h3>
                  <div class="specsdiv">
                    <?php echo generateObjectSpecs($bedrijfshalSpecs);?>
                  </div>
                  <?php
                }

                if (!empty($kantoorruimteSpecs))
                {
                  ?>
                  <h3>Kantoorruimte</h3>
                  <div class="specsdiv">
                    <?php echo generateObjectSpecs($kantoorruimteSpecs);?>
                  </div>
                  <?php
                }

                if (!empty($terreinSpecs))
                {
                  ?>
                  <h3>Terrein</h3>
                  <div class="specsdiv">
                    <?php echo generateObjectSpecs($terreinSpecs);?>
                  </div>
                  <?php
                }
                ?>
              </div>
              <?php
              if (!empty($images))
              {
                ?>
                <div id="content-fotos" class="tabbed-content fotos <?php echo ($activeTab == 'fotos' ? '' : ' hide'); ?>">
                  <?php echo yog_retrievePhotoSlider('large', 'thumbnail', true); ?>
                </div>
                <?php
              }

              if (!empty($movies))
              {
                ?>
                <div id="content-videos" class="tabbed-content movies <?php echo ($activeTab == 'videos' ? '' : ' hide'); ?>">
                  <?php
                  // Embeded movies
                  foreach ($movies as $movie)
                  {
                    $embedCode = yog_getMovieEmbedCode($movie, 694, 400);
                    if (!empty($embedCode))
                    {
                      ?>
                      <h3><?php echo $movie['title'];?></h3>
                      <div class="movie">
                        <?php echo $embedCode;?>
                      </div>
                      <?php
                    }
                  }
                  ?>
                </div>
                <?php
              }

              if (yog_hasLocation())
              {
                ?>
                <div id="content-locatie" class="tabbed-content location <?php echo ($activeTab == 'locatie' ? '' : ' hide'); ?>">
                  <div id="yesco-og-static-map-holder">
                    <?php echo yog_retrieveStaticMap('hybrid', 18, 640, 400); ?>
                  </div>
                  <?php echo yog_retrieveDynamicMap('hybrid', 18, 694, 400); ?>
                </div>
                <?php
              }
              ?>
            </div>
          </div>
        </div>
        <?php

        // Widgets
        if (function_exists('dynamic_sidebar'))
        {
          echo '<div id="item_widgets" class="widgets">';
          dynamic_sidebar('Aanbod detail pagina - Onder');

          echo '</div>';
        }
      }
    }
    ?>
  </div>
</div>
<?php get_footer(); ?>