<?php
/**
 * Voorbeeld Template voor map detail window van een woning
 *
 * @package WordPress
 * @subpackage realtor
 */

  $postID     = get_the_ID();
  $postType   = $post->post_type;

  $images     = yog_retrieveImages('thumbnail', 3, $postID);
  $title      = yog_retrieveSpec('Naam', $postID);
  $city       = yog_retrieveSpec('Plaats', $postID);
  $prices     = yog_retrievePrices('small', 'small', $postID);
  $status     = '';

  $permaLink  = get_permalink($postID);

  switch ($postType)
  {
    case YOG_POST_TYPE_WONEN:

      $status   = yog_retrieveSpec('Status', $postID);

      if (empty($status) || $status == 'beschikbaar')
        $status = yog_getOpenHouse('Open huis', $postID);

    break;

    case YOG_POST_TYPE_BOG:

      $status   = yog_retrieveSpec('Status', $postID);

    break;
  }

  // Determine state html
  $stateHtml = '';

  if (!empty($status) && $status != 'beschikbaar')
    $stateHtml = '<span class="post-object-state">' . $status . '</span>';

  // Images
  if (!empty($images))
  {
    echo '<a href="' . $permaLink . '" rel="bookmark" title="' . $title . '" class="main-image"><img src="' . $images[0][0] . '" width="' . $images[0][1] . '" height="' . $images[0][2] . '" alt="' . $title . '" />' . $stateHtml . '</a>';

    echo '<div class="extra-images">';

    if (!empty($images[1]))
      echo '<div class="extra-image"><a href="' . $permaLink . '"><img alt="' . $title . '" src="' . $images[1][0] . '" width="50" /></a></div>';

    if (!empty($images[2]))
      echo '<div class="extra-image"><a href="' . $permaLink . '"><img alt="' . $title . '" src="' . $images[2][0] . '" width="50" /></a></div>';

    echo '</div>';
  }

  echo '<div class="specs_object">';

  echo '<h2><a href="' . $permaLink . '">' . esc_attr($title) . '</a></h2>';

  if (!empty($city))
    echo '<h3 class="caps">' . $city. '</h3>';

  echo '<p>' . implode('<br />', $prices) . '</p>';

  echo '</div>';

?>