<?php
/**
 * Template voor detail pagina van een nieuwbouw project
 *
 * @package WordPress
 * @subpackage realtor
 */
get_header();
?>
<div id="content-holder" class="column2">

  <div id="sidebar-left" class="sidebar">

    <div id="sidebar-logo">
      <a href="<?php echo get_home_url(); ?>"><img src="<?php echo yog_getLogoUrl();?>" alt="<?php bloginfo('name');?>" /></a>
    </div>

    <?php
      // Widgets
      if (function_exists('dynamic_sidebar'))
      {
        dynamic_sidebar('Aanbod detail pagina - Links');
      }
    ?>

  </div>

  <div id="content">
	  <?php

    // Retrieve active tab
    $activeTab = (!empty($_GET['tab']) ? $_GET['tab'] : '');

    // Retrieve post
    if (have_posts())
    {
	    while (have_posts())
      {
        the_post();

        $overviewSpecs  = yog_retrieveSpecs(array('Status', 'SoortWoning', 'TypeWoning', 'KenmerkWoning', 'PerceelOppervlakteMinMax', 'WoonOppervlakteMinMax', 'InhoudMinMax', 'Aantalkamers'));
        $specs          = $overviewSpecs + yog_retrieveSpecs(array('GarageType', 'TuinType', 'AantalEenheden', 'AantalVrijeEenheden', 'StartBouw', 'Oplevering'));

        $prices       = yog_retrievePrices('normal', 'small');
        $links        = yog_retrieveLinks();
        $movies       = yog_retrieveEmbedMovies();
        $description  = get_the_content();
        $childs       = yog_retrieveChildObjects();
        $nbbnTable    = yog_retrieveNbbnTable();

        ?>
        <div class="fullpost">
          <div id="item_left">
            <div class="titelbar">
              <a href="javascript:history.go(-1);" class="more">&laquo; Terug</a>
            </div>
            <div id="item_header" class="clearfix">
              <?php
              // Show main image
              $image = yog_retrieveMainImage('thumbnail');
              if (!empty($image))
                echo '<div class="main-image-holder">' . $image . '</div>';

              ?>
              <div class="header-specs">
                <h2><?php echo yog_retrieveSpec('Naam'); ?></h2>
                <h3 class="caps"><?php echo yog_retrieveSpec('Plaats');?></h3>
                <div class="price">
                  <?php echo implode('<br />', $prices);?>
                </div>
              </div>
            </div>
            <div class="tabs-holder">
              <ul id="object-tabs">
                <li id="tab-overzicht"<?php echo (empty($activeTab) || $activeTab == 'overzicht' ? ' class="active"' : ''); ?>><a href="?tab=overzicht">Overzicht</a></li>
                <?php if (!empty($description)) { ?>
                  <li id="tab-omschrijving"<?php echo ($activeTab == 'omschrijving' ? ' class="active"' : ''); ?>><a href="?tab=omschrijving">Omschrijving</a></li>
                <?php } ?>
                <li id="tab-kenmerken" <?php echo ($activeTab == 'kenmerken' ? ' class="active"' : ''); ?>><a href="?tab=kenmerken">Kenmerken</a></li>
                <?php if (!empty($image)) { ?>
                  <li id="tab-fotos" <?php echo ($activeTab == 'fotos' ? ' class="active"' : ''); ?>><a href="?tab=fotos">Foto's</a></li>
                <?php } ?>
                <?php if (!empty($movies)) { ?>
                <li id="tab-videos" <?php echo ($activeTab == 'videos' ? ' class="active"' : ''); ?>><a href="?tab=videos">Videos</a></li>
                <?php } ?>
                <?php if (!empty($nbbnTable) || !empty($childs)) { ?>
                <li id="tab-childs" <?php echo ($activeTab == 'childs' ? ' class="active"' : ''); ?>><a href="?tab=childs">Bouwnummers</a></li>
                <?php } ?>
              </ul>
            </div>
            <div class="tabs-content-holder" id="tabs-content-holder">
              <div id="content-overzicht" class="tabbed-content specs_intro<?php echo (empty($activeTab) || $activeTab == 'overzicht' ? '' : ' hide'); ?>">
                <h3>Kenmerken</h3>
                <div class="specsdiv">
                  <?php echo generateObjectSpecs($overviewSpecs);?>
                  <div class="specs-footer">
                    <a class="more object-tab" href="?tab=kenmerken">Alle kenmerken</a>
                  </div>
                </div>
                <?php
                if (!empty($description))
                {
                  ?>
                  <h3>Omschrijving</h3>
                  <div class="description">
                    <?php echo the_excerpt(); ?>
                    <div class="description-footer">
                      <a class="more object-tab" href="?tab=omschrijving">Volledige omschrijving</a>
                    </div>
                  </div>
                  <?php
                }

                if (has_tag() && get_option('yog_tags_with_post'))
                  echo get_the_tag_list('<div class="tags">Tags: ',', ','</div>');
                ?>
              </div>
              <?php
              if (!empty($description))
              {
                ?>
                <div id="content-omschrijving" class="tabbed-content description_detail <?php echo ($activeTab == 'omschrijving' ? '' : ' hide'); ?>">
                  <div class="description">
                  <?php echo $description;?>
                  </div>
                </div>
                <?php
              }
              ?>
              <div id="content-kenmerken" class="tabbed-content specs_detail<?php echo ($activeTab == 'kenmerken' ? '' : ' hide'); ?>">
                <div class="specsdiv">
                  <?php echo generateObjectSpecs($specs);?>
                </div>
              </div>
              <?php
              if (!empty($image))
              {
                ?>
                <div id="content-fotos" class="tabbed-content fotos <?php echo ($activeTab == 'fotos' ? '' : ' hide'); ?>">
                  <?php echo yog_retrievePhotoSlider('large', 'thumbnail', true); ?>
                </div>
                <?php
              }

              if (!empty($movies))
              {
                ?>
                <div id="content-videos" class="tabbed-content movies <?php echo ($activeTab == 'videos' ? '' : ' hide'); ?>">
                <?php
                // Embeded movies
                foreach ($movies as $movie)
                {
                  $embedCode = yog_getMovieEmbedCode($movie, 600, 400);
                  if (!empty($embedCode))
                  {
                    ?>
                    <h3><?php echo $movie['title'];?></h3>
                    <div class="movie">
                      <?php echo $embedCode;?>
                    </div>
                    <?php
                  }
                }
                ?>
                </div>
              <?php
              }

              if (!empty($childs) || !empty($nbbnTable))
              {
                ?>
                <div id="content-childs" class="tabbed-content childs<?php echo ($activeTab == 'childs' ? '' : ' hide'); ?>">
                <?php
                // Display NBbn's in a table
                if (!empty($nbbnTable))
                {
                  echo $nbbnTable;
                }

                // Display all other childs
                if (!empty($childs))
                {
                  foreach ($childs as $child)
                  {
                    // Do not display NBbn objects (if you also want to display NBbn objects, remove the link (NBbn objects do not have there own public display page)
                    if ($child->post_type != YOG_POST_TYPE_NBBN)
                    {
                      $image  = yog_retrieveMainImage('thumbnail', $child->ID);
                      $title  = get_the_title($child->ID);
                      $prices = yog_retrievePrices('normal label', 'small', $child->ID);

                      ?>
                      <a class="child child-yog" href="<?php echo get_permalink($child->ID);?>" title="<?php echo $title;?>">
                        <div class="child-image<?php echo empty($image) ? ' no-image' : '';?>"><?php echo $image;?></div>
                        <span class="child-details">
                          <strong><?php echo $title;?></strong><br />
                          <?php echo implode('<br />', $prices);?>
                        </span>
                      </a>
                      <?php
                    }
                  }
                }
                ?>
                </div>
                <?php
              }
              ?>
            </div>
          </div>
        </div>
        <?php

        // Widgets
        if (function_exists('dynamic_sidebar'))
        {
          echo '<div id="item_widgets" class="widgets">';
          dynamic_sidebar('Aanbod detail pagina - Onder');

          echo '</div>';
        }
      }
    }
    ?>
  </div>
</div>
<?php get_footer(); ?>